Subject: Problem in reading PDB (Continued)

From: Arthur Wang <[email-masked]>
Date: Tue, 12 Dec 1995 20:21:09 -0800 (PST)

Hi, everyone!

Last week I posted the question about SYBYL's problem in reading PDB
files. Till now, I have got more than a dozen of kind replies, including
two from Tripos Inc. A thousand thanks for those who have offer their
help. Now I would like continue the discussion. 

Almost every people who has replied pointed out that PDB is not the 
proper format for small molecules. Some information may lose when a 
molecule is saved in PDB format. But...Mm..., I have to do so at least at 
present. As for the test example of biphenly, I changed the substructure 
name from PHE to something else according to other's suggestion. And I 
found this trick worked. I could reread the molecule with C.ar were 
misrecognized as C.2, but without missing atoms any more.

I also found why the PDB files generated by QUANTA could not be accepted 
by SYBYL. You must use the label "HETATM" rather than "ATOM" in the PDB 
file. Then SYBYL can read in the file with the correct connectivity. No 
atom is missing.

But, the atom types are still a complete mess. SYBYL can not assign the
right atom type to each atom. Very strange results, such as a hydrogen
with three valences, might be reported. (QUANTA can not assign the right
atom types to a molecule in PDB format either. But at least it can assign
the right element type to each atom.) It is a tough job to modify every
atom to its right type, isn't it? So, any idea? 

Someone has mentioned the program BABEL. What is it? What can it do? 
Where can I get it? Any hint is appreciated.

I paste a PBD file to the tail of this mail. The symbols at the atom name
column are the atom types in AMBER force field, which you can guess 
without problem. This PDB file serves as another test example. Who can 
solve it by SYBYL? I can not wait to see the answer.

Best Wishes,

Arthur

_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/
_/                                                        _/ 
_/   Arthur Wang                     Doctoral Candidate   _/
_/                                                        _/           
_/   Molecular Design Lab                                 _/
_/   Institute of Physical Chemistry, Peking University   _/
_/   Beijing 100871, P.R.China                            _/
_/                                                        _/ 
_/   E-mail: [email-masked]                        _/
_/   Tel: 86-10-2501490    Fax: 86-10-2501725             _/
_/   WWW: http://www.ipc.pku.edu.cn/arthur/home.html      _/
_/                                                        _/ 
_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/_/

(CUT HERE)
-----------------------------------------------------------------------------
REMARK     MOLECULE 4123
HETATM    1 C    LIG     1       2.293   2.413   1.706
HETATM    2 C    LIG     1       1.393   1.598   1.115
HETATM    3 C2   LIG     1       3.705   1.908   2.007
HETATM    4 C3   LIG     1       4.269   2.287   3.410
HETATM    5 NT   LIG     1       1.945   3.649   2.006
HETATM    6 C    LIG     1       0.004   1.989   0.814
HETATM    7 O    LIG     1      -0.350   3.131   1.077
HETATM    8 OH   LIG     1      -0.827   1.103   0.240
HETATM    9 C3   LIG     1       0.703   3.631   2.792
HETATM   10 CH   LIG     1       3.014   4.282   2.792
HETATM   11 C    LIG     1       4.055   4.899   1.839
HETATM   12 C2   LIG     1       2.413   5.387   3.680
HETATM   13 O    LIG     1       3.905   4.810   0.632
HETATM   14 CA   LIG     1       5.285   5.628   2.410
HETATM   15 CA   LIG     1       7.522   6.954   3.449
HETATM   16 CA   LIG     1       5.457   5.730   3.796
HETATM   17 CA   LIG     1       6.231   6.189   1.544
HETATM   18 CA   LIG     1       6.576   6.393   4.315
HETATM   19 CA   LIG     1       7.350   6.852   2.064
HETATM   20 C3   LIG     1       2.979   6.160   3.968
HETATM   21 CH   LIG     1      -1.196   1.724  -0.994
HETATM   22 C2   LIG     1      -1.398   0.643  -2.072
HETATM   23 C3   LIG     1      -2.507   2.509  -0.802
HETATM   24 NT   LIG     1      -2.298  -0.400  -1.558
HETATM   25 H    LIG     1      -1.948  -0.738  -0.650
HETATM   26 C2   LIG     1      -3.647   0.158  -1.387
HETATM   27 CA   LIG     1      -4.673  -0.989  -1.327
HETATM   28 CA   LIG     1      -6.539  -3.074  -1.219
HETATM   29 CA   LIG     1      -4.341  -2.193  -0.694
HETATM   30 CA   LIG     1      -5.938  -0.827  -1.906
HETATM   31 CA   LIG     1      -5.274  -3.235  -0.640
HETATM   32 CA   LIG     1      -6.871  -1.870  -1.852
CONECT    1    2    3    5
CONECT    2    1    6
CONECT    3    1    4
CONECT    4    3
CONECT    5    1    9   10
CONECT    6    2    7    8
CONECT    7    6
CONECT    8    6   21
CONECT    9    5
CONECT   10    5   11   12
CONECT   11   10   13   14
CONECT   12   10   20
CONECT   13   11
CONECT   14   11   16   17
CONECT   15   18   19
CONECT   16   14   18
CONECT   17   14   19
CONECT   18   15   16
CONECT   19   15   17
CONECT   20   12
CONECT   21    8   22   23
CONECT   22   21   24
CONECT   23   21
CONECT   24   22   25   26
CONECT   25   24
CONECT   26   24   27
CONECT   27   26   29   30
CONECT   28   31   32
CONECT   29   27   31
CONECT   30   27   32
CONECT   31   28   29
CONECT   32   28   30
END